<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="pt"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>EnviadorEmail.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Credenciamento</a> &gt; <a href="index.source.html" class="el_package">br.edu.unifacisa.lti.domain</a> &gt; <span class="el_source">EnviadorEmail.java</span></div><h1>EnviadorEmail.java</h1><pre class="source lang-java linenums">package br.edu.unifacisa.lti.domain;

import java.security.GeneralSecurityException;
import java.util.Properties;

import javax.mail.Session;
import javax.mail.Transport;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeMessage;
import javax.mail.internet.MimeMessage.RecipientType;

import com.sun.mail.util.MailSSLSocketFactory;

<span class="fc" id="L14">public class EnviadorEmail {</span>
<span class="fc" id="L15">	private static String HOST = &quot;smtp.gmail.com&quot;;</span>
<span class="fc" id="L16">	private static String USER = &quot;credenciamento.sjcg@gmail.com&quot;;</span>
<span class="fc" id="L17">	private static String PASSWORD = &quot;campina12!&quot;;</span>
<span class="fc" id="L18">	private static String PORT = &quot;465&quot;;</span>
<span class="fc" id="L19">	private static String FROM = &quot;credenciamento.sjcg@gmail.com&quot;;</span>
<span class="fc" id="L20">	private static String STARTTLS = &quot;true&quot;;</span>
<span class="fc" id="L21">	private static String AUTH = &quot;true&quot;;</span>
<span class="fc" id="L22">	private static String DEBUG = &quot;true&quot;;</span>
<span class="fc" id="L23">	private static String PROTOCOL = &quot;smtp&quot;;</span>

<span class="fc" id="L25">	private static String SOCKET_FACTORY = &quot;javax.net.ssl.SSLSocketFactory&quot;;</span>

	public void send(String emailDestino, String assunto, String mensagem) throws GeneralSecurityException {
		// Use Properties object to set environment properties
<span class="fc" id="L29">		Properties props = new Properties();</span>

<span class="fc" id="L31">		props.put(&quot;mail.smtp.host&quot;, HOST);</span>
<span class="fc" id="L32">		props.put(&quot;mail.smtp.port&quot;, PORT);</span>
<span class="fc" id="L33">		props.put(&quot;mail.smtp.user&quot;, USER);</span>
<span class="fc" id="L34">		MailSSLSocketFactory sf = new MailSSLSocketFactory();</span>
<span class="fc" id="L35">		sf.setTrustAllHosts(true);</span>
<span class="fc" id="L36">		props.put(&quot;mail.imap.ssl.trust&quot;, &quot;*&quot;);</span>
<span class="fc" id="L37">		props.put(&quot;mail.imap.ssl.socketFactory&quot;, sf);</span>
<span class="fc" id="L38">		props.setProperty(&quot;mail.smtp.ssl.trust&quot;, HOST);</span>
<span class="fc" id="L39">		props.put(&quot;mail.smtp.auth&quot;, AUTH);</span>
<span class="fc" id="L40">		props.put(&quot;mail.smtp.ssl.enable&quot;, &quot;true&quot;);</span>
<span class="fc" id="L41">		props.put(&quot;mail.smtp.starttls.enable&quot;, STARTTLS);</span>
<span class="fc" id="L42">		props.put(&quot;mail.transport.protocol&quot;, PROTOCOL);</span>
<span class="fc" id="L43">		props.put(&quot;mail.smtp.debug&quot;, DEBUG);</span>
<span class="fc" id="L44">		props.put(&quot;mail.smtp.socketFactory.port&quot;, PORT);</span>
<span class="fc" id="L45">		props.put(&quot;mail.smtp.socketFactory.class&quot;, SOCKET_FACTORY);</span>
<span class="fc" id="L46">		props.put(&quot;mail.smtp.socketFactory.fallback&quot;, &quot;false&quot;);</span>

		try {

			// Obtain the default mail session
<span class="fc" id="L51">			Session session = Session.getDefaultInstance(props, null);</span>
<span class="fc" id="L52">			session.setDebug(true);</span>

			// Construct the mail message
<span class="fc" id="L55">			MimeMessage message = new MimeMessage(session);</span>
<span class="fc" id="L56">			message.setText(mensagem);</span>
<span class="fc" id="L57">			message.setSubject(assunto);</span>
<span class="fc" id="L58">			message.setFrom(new InternetAddress(FROM));</span>
<span class="fc" id="L59">			message.addRecipient(RecipientType.TO, new InternetAddress(emailDestino));</span>
<span class="fc" id="L60">			message.saveChanges();</span>

			// Use Transport to deliver the message
<span class="fc" id="L63">			Transport transport = session.getTransport(PROTOCOL);</span>
<span class="fc" id="L64">			transport.connect(HOST, USER, PASSWORD);</span>
<span class="nc" id="L65">			transport.sendMessage(message, message.getAllRecipients());</span>
<span class="nc" id="L66">			transport.close();</span>

<span class="fc" id="L68">		} catch (Exception e) {</span>
<span class="fc" id="L69">			e.printStackTrace();</span>
<span class="nc" id="L70">		}</span>

<span class="fc" id="L72">	}</span>

}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.7.9.201702052155</span></div></body></html>